# Gst::FormatDefinition Class Reference

A format definition is used to get details of a Gst::Format by Gst::get_details(). More...

`#include <format.h>`

List of all members.

## Public Member Functions

| FormatDefinition ()
| Default constructor.
| FormatDefinition (GstFormatDefinition* castitem)
| Constructs a Gst::FormatDefinition from a C GstFormatDefinition type.

## Public Attributes

Gst::Format | value
| The unique id of this format.
Glib::ustring | nick
| A short nick of the format.
Glib::ustring | description
| A longer description of the format.
Glib::QueryQuark | quark
| A quark for the nick.

## Detailed Description

A format definition is used to get details of a Gst::Format by Gst::get_details().

## Constructor& Destructor Documentation

Gst::FormatDefinition::FormatDefinition | ( |  | ) |

Default constructor.

Gst::FormatDefinition::FormatDefinition | ( | GstFormatDefinition * | castitem | ) |

Constructs a Gst::FormatDefinition from a C GstFormatDefinition type.

The castitem is left unaffected; its contents are simply copied.

Parameters:

  | castitem | The GstFormatDefinition to copy contents from.

## Member Data Documentation

Gst::Format Gst::FormatDefinition::value

The unique id of this format.

Glib::ustring Gst::FormatDefinition::nick

A short nick of the format.

Glib::ustring Gst::FormatDefinition::description

A longer description of the format.

Glib::QueryQuark Gst::FormatDefinition::quark

A quark for the nick.

The documentation for this class was generated from the following file:

- format.h